Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core
Class SVNLogEntryPath

    java.lang.Object
      org.tmatesoft.svn.core.SVNLogEntryPath

public class SVNLogEntryPath
extends Object

The SVNLogEntryPath class encapsulates information about a single item changed in a revision. This information includes an item's path, a type of the changes made to the item, and if the item is a copy of another one - information about the item's ancestor.

SVNLogEntryPath objects are held by an SVNLogEntry object - they are representations of all the changed paths in the revision represented by that SVNLogEntry object.

Version:
  1.0
Author:
  TMate Software Ltd.
See Also:
  `SVNLogEntry`

Constructor Summary
`SVNLogEntryPath(String path, char type, String copyPath, long copyRevision)` Constructs an SVNLogEntryPath object.

Method Summary
`String` | `getCopyPath()` Returns the path of the ancestor of the item represented by this object.
`long` | `getCopyRevision()` Returns the revision of the ancestor of the item represented by this object.
`String` | `getPath()` Returns the path of the item represented by this object.
`char` | `getType()` Gets the type of the change applied to the item represented by this object.
`protected void` | `setPath(String path)` Sets the path of the item represented by this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVNLogEntryPath

    public SVNLogEntryPath(String path,
                           char type,
                           String copyPath,
                           long copyRevision)

  Constructs an SVNLogEntryPath object.

Parameters:
  `path` - a path that was changed in a revision
  `type` - a type of the path change; it can be one of the following: 'M' - Modified, 'A' - Added, 'D' - Deleted, 'R' - Replaced
  `copyPath` - the path of the ancestor of the item represented by `path` (in that case if `path` was copied), or null if `path`
  `copyRevision` - the ancestor's revision if the `path` is a branch, or -1 if not

Method Detail

### getCopyPath

    public String getCopyPath()

  Returns the path of the ancestor of the item represented by this object.

  Returns:
    the origin path from where the item, represented by this object, was copied, or null if it wasn't copied

### getCopyRevision

    public long getCopyRevision()

  Returns the revision of the ancestor of the item represented by this object.

  Returns:
    the revision of the origin path from where the item, represented by this object, was copied, or -1 if the item was not copied

### getPath

    public String getPath()

  Returns the path of the item represented by this object.

  Returns:
    the changed path represented by this object

### getType

    public char getType()

  Gets the type of the change applied to the item represented by this object. This type can be one of the following: 'M' - Modified, 'A' - Added, 'D' - Deleted, 'R' - Replaced (what means that the object is first deleted, then another object of the same name is added, all within a single revision).

  Returns:
    a type of the change as a char label

### setPath

    protected void setPath(String path)

  Sets the path of the item represented by this object.

  Parameters:
    `path` - a path of an item that was changed (regarding a definite revision)

Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 TMate Software Ltd. All Rights Reserved.